// По-сложна функция за проверка на имейл. Връща true, 
// ако имейлът отговаря на съответния шаблон
function validateEmail(email) {  
    var re = /^(([^<>()[\]\\.,;:\s@\"]+(\.[^<>()[\]\\.,;:\s@\"]+)*)|(\".+\"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
    return re.test(email);
}

// Проста функция за проверка на email
function simplevalidateEmail(email) {  
   return /^([a-z0-9_-]+\.)*[a-z0-9_-]+@[a-z0-9_-]+(\.[a-z0-9_-]+)*\.[a-z]{2,6}$/.test(email);
}

// Функция за проверка на телефонен номер. Шаблонът е международен: 
// +код_на_страната(XXX)XXX-XX-XX
// Код на страната - 1 или 2 символа, код на оператора - 3 символа, след това 
// 3, 2, 2 символа (цифри)
function validatePhone(myPhone) { 
   return /^\+\d{1,2}\(\d{3}\)\d{3}-\d{2}-\d{2}$/.test(myPhone); 
} 

// Функция за проверка на URL
function validateURL(URL) {
   return /^((https?|ftp)\:\/\/)?([a-z0-9]{1})((\.[a-z0-9-])|([a-z0-9-]))*\.([a-z]{2,6})(\/?)$/.test(URL); 
}

// Функция за проверка на потребителско име; може да съдържа цифри и 
// символите A-Z без отчитане на регистъра
function validateLogin(login) {
   return /[0-9a-z]+/i.test(login);
}

// Генерира задържане в ms
function sleep(ms) {
    ms += new Date().getTime();
    while (new Date() < ms){}
}
