// Объект XMLHttpRequest 
var xmlHttp = createXmlHttpRequestObject();
// Получаваме обекта XMLHttpRequest 
function createXmlHttpRequestObject()
{

var xmlHttp;
// Ако се използва Internet Explorer
if(window.ActiveXObject)
{
try
{
xmlHttp = new ActiveXObject("Microsoft.XMLHTTP");
}
catch (e)
{
xmlHttp = false;
}
}
// Ако се използва друг браузър
else
{
try
{
xmlHttp = new XMLHttpRequest();
}
catch (e)
{
xmlHttp = false;
}
}
// Ако създаването на обекта XMLHttpRequest е неуспешно
if (!xmlHttp)
alert("Error creating the XMLHttpRequest object.");
else
return xmlHttp;
}
// Правим HTTP-заявка
function ajax()
{

if (xmlHttp.readyState == 4 || xmlHttp.readyState == 0)
{
// Получаваме потребителското име. На полето за въвеждане във формата е присвоено името Name

name = encodeURIComponent(document.getElementById("Name").value);
// Предаваме въведеното име на сценария  ajax.php
xmlHttp.open("GET", "ajax.php?name=" + name, true);

xmlHttp.onreadystatechange = processServerResponse;
// Отправяме заявка към сървъра
xmlHttp.send(null);
}
else
// Ако връзката е заета, правим повторен опит след 1 секунда
setTimeout('ajax()', 1000);
}
// Тази функция се изпълнява автоматично при получаване на отговор от сървъра
function processServerResponse()
{
if (xmlHttp.readyState == 4)
{
// Статус 200 – транзакцията е преминала успешно
if (xmlHttp.status == 200)
{
// Извличаме XML-кода, който сме получили от сървъра
xmlResponse = xmlHttp.responseXML;
xmlDocumentElement = xmlResponse.documentElement;
helloMessage = xmlDocumentElement.firstChild.data;
// Обновяваме страницата: извеждаме получения от ajax.php резултат в div с име OurMessage
document.getElementById("OurMessage").innerHTML =
'<i>' + helloMessage + '</i>';
// Рестартиране след 1 секунда
setTimeout('ajax()', 1000);
}
// Ако статусът е различен от 200, значи е възникнала грешка
else
{
alert("Error accessing the server: " +
xmlHttp.statusText);
}
}
}